برترین های انجمن


Popular Content

نمایش ارسال هایی با بیشترین امتیاز در 03/01/94 در همه بخشها

  1. 41 points
    سلام به همه دوستان و عزيزان و دنبال كنندگان انجمن وردپرس پارسي !‌ ي چند تا نكته قبل شروع كار بگم ممنون ميشم رعايت كنيد ! دوستان لطف كنن و سوالات و نظرات خودشون توي اين تايپيك قرار ندن تا آموزش ها به صورت پشت سر هم قرار بگيره . براي سوالات يا نظرات شما هم ي تايپيك ديگه باز شده كه ميتونيد سوالات و نظرات خودتون اونجا بنويسيد . حمايت و استقبال شما از اين آموزش باعث دلگرمي ما ميشه تا اموزش ها رو هرچه سريع تر در اختيار دوستان قرار بديم. خوب بريم سر اصل كار !‌ هدف من يك آشنايي مقدماتي شما با بوت استرپ هست و نحوه كار كردن با بوت استرپ ور در آخر هم با هم ي قالب واكنشگرا ساده براي وردپرس درست ميكنيم ، در شروع يك توضيح كوتاهي درباره بوت استرپ ميدم تا كساني كه آشنايي ندارن هم با بوت استرپ آشنا بشن !‌ بوت استرپ يك framework متن باز هست كه به Twitter Bootstrap معروف هست براي طراحي و توليد صفحات وب هست كه شامل كد ها هاي آماده و استاندار مثل دكمه ها ، فرم ها ، منو ، فونت آيكون ،..... و ده ها كد و قطعه كد آماده كه طراحي رو براي ما ساده و آسان ميكنن !‌ بوت استرپ شامل فايل هاي HTML - CSS - Java Script ميباشد كه فرم اصلي اون به صورت زير هست !‌ bootstrap/ ├── css/ │ ├── bootstrap.css │ ├── bootstrap.min.css │ ├── bootstrap-theme.css │ └── bootstrap-theme.min.css ├── js/ │ ├── bootstrap.js │ └── bootstrap.min.js └── fonts/ ├── glyphicons-halflings-regular.eot ├── glyphicons-halflings-regular.svg ├── glyphicons-halflings-regular.ttf └── glyphicons-halflings-regular.woff اگه شما قبلا با بوت استرپ كار كرده باشين و آشنايي داشته باشين فهميدن كه در بوت استرپ نسخه 3 نسبت به نسخه 2 تغييراتي اعمال شده ،كه عمده تغييرات و هدف اصلي در نسخه 3 بيشتر به صفحه نمايشگر ها با اندازه كوچك هست مثل موبايل ها !‌ در كل بيشتر براي طراحي هاي واكنشگرا از بوت استرپ استفاده ميكنن !‌ شما ميتونيد ليست دستورات و تغييرات بوت استرپ نسخه 2 و 3 رو اينجا ببينيد . يكي ديگه از مزيت هاي بوت استرپ پشتيباني از مرورگر ها هست !‌در حال حاضر بوت استرپ از تمامي مرورگر ها پشتيباني ميكنه اين نكته رو بگم مرورگر IE از ورژن 7 به بعد پشتيباني ميشه كه براي ورژن 8 بايد يك فايل JS هم فراخواني كنيد تا پشتيباني بشه كه در آموزش ها به اون هم خواهيم پرداخت !‌ خوب حالا شايد بگيد بوت استرپ را از كجا دانلود كنيد و داشته باشيد ! بوت استرپ تا نسخه 2 روي Github به صورت يك پروژه متن قرار داشت و محبوب ترين پروژه Github بود كه از نسخه 3 به بعد اگه اشتباه نكنم به سايت getbootstrap.com انتقال يافت. در صفحه اول اين سايت فايل بوت استرپ براي دانلود قرار داده شده كه ميتونيد دانلود كنيد همچنين ي امكاني قرار داده شده براي شما كه فايل هاي مورد نياز خودتوت رو كه ميدونيد در طراحيتون به كار ميره رو دانلود كنيد و فايل هاي اضافي رو دور بريزيد كه براي اين كار ميتونيد به از منو بالا صفحه گزينه customize را انتخاب كنيد كه صفحه به شكل زير نمايش داده ميشه !‌ كه شما تيك هر كدام از اين گزينه ها رو بردارين اون گزينه از داخل بسته كم شده و به شما داده ميشه به عنوان مثال Glyphicons آيكون فونت هست كه اگه تيك برداشته بشه از داخل بسته حذف ميشه .... !‌ اين بوت استرپ براي زبان هاي LTR يا همان چپ به راست مناسب هست اما زبان فارسي RTL هست ! كه شما ميتونيد نسخه RTL بوت استرپ از اين دو جا دريافت كنيد كه ما هم از همين نسخه ها استفاده ميكنيم !‌ سايت http://rbootstrap.ir يا پروژه دوست خوبمون مهرال كه در همين انجمن هم فعاليت دارن روي github كه زحمت RTL رو كشيده !‌ فكر كنم واسه اين جلسه كافي باشه ! اين جلسه بيشتر توضيحي بود جلسه هاي بعدي كه به زودي منتشر خواهد شد بيشتر كار با كد هاي بوت استرپ و نحوه استفاده از بوت استرپ خواهد بود !‌ ممنون كه وقت گذاشتين .... ! راستي تايپيك سوالات و نظرات هم در اينجا و آخر هر آموزش قرار ميدم كه سوالات و مشكلات و نظرات خودتون داخل اون قرار بدين . تاپيك سوالات و نظرات آموزش بوت استرپ
  2. 3 points
    سلام، میتونید از افزونه wp ulike استفاده کنید: https://wordpress.org/plugins/wp-ulike/
  3. 3 points
    سلام شما داخل حلقه پست هر جا که نیاز داری زمینه دلخواه رو پر کن بعدش echo کن <?php $s=get_post_meta($post->ID,"s",true); echo $s; ?>
  4. 3 points
    ببینید من فکر کردم در مورد مشکل qtranslate با پست های سفارشی مشکل دارید. ولی مشکل شما فکر کنم در مورد باز شدن صفحه به صورت پیشفرض روی زبان انگلیسی هست درسته ؟؟ این مشکل از تنظیماتش هست که باید یکی از تیک ها رو بزنید در قسمت show advanced یکی از تیک ها رو باید بزنید امتحانش کنید ببینید کدومه. البته تنظیمات زبان فارسی رو موقع افزودن درست تنظیم کردید ؟؟
  5. 2 points
    الان که بنده چک مشکلی وجود نداره اگر هست لطفا اسکرین شات بگیرید و مشخص کنید
  6. 2 points
    سلام دوست گرامی؛ این منابع آموزشی رو امتحان کنید: http://www.maratz.com/blog/archives/2009/06/15/wordpress-related-articles-by-tags-andor-categories/ http://stackoverflow.com/questions/12292332/displaying-related-posts-by-tags-on-category-template-page-in-wordpress http://stackoverflow.com/questions/4647543/wordpress-related-posts-by-tags-but-in-the-same-categories http://borishoekmeijer.nl/show-related-posts-using-custom-taxonomy/
  7. 1 point
    سلام دوستان ، ضمن تبریک سال نو افزونه ای شبیه اسلایدر این سایت نیاز دارم . البته این سایت که معرفی میکنم وردپرسی نیست و از jcarousel استفاده می کنه! همونطور که می بینید در اسلایدر این سایت 7 بلوک قیمت گذاری دیده میشه که بصورت auto carousel نماش داده میشه. اگه افزونه ای سراغ دارین که بشه بصورت اسلایدر html مثله سایت نمونه استفاده کرد ممنون میشم معرفی کنید. سایت نمونه
  8. 1 point
  9. 1 point
    کاری نداره یه بار بکاپو دانلود کنید و از زیپ خارج کنید تا مطمئن بشید اما با توجه به تجربه بنده کم شدن حجم مربوط به زیپ هست نمونه عرض میکنم من یه قالب دانلود کردم حدود 80 مگ بود بعد از اپلود و نصب 150 تا 180 مگ از هاستمو اشغال کرده!
  10. 1 point
    اره زیپ میشن ولی خب خیلی حجمو کم میکنن واسه همین شک دارم !!!
  11. 1 point
    فکر میکنم طبیعی باشه چون فایل ها رو زیپ شده اند!
  12. 1 point
    خوب باید ببینید تصویر شاخص شما از چه ابعادی استفاده می کنه و اونارو پاک نکنید. البته یه پشتیبان از تمام تصاویر داشته باشید تا اگر مشکلی بود برشون گردونید. برای تصاویر بعدی هم دوستان افزونه معرفی کردند.
  13. 1 point
    نخير بکاپ کلي که بگيريد از همه اطلاعاتتون بک آپ گرفته ميشه.. ساب دامين هاتون هم جزو پوشه هاي هاستتون هستند...
  14. 1 point
    برای این جور خطاها راه حل خاصی نیست کنسول مرورگر رو بررسی کنید افزونه‌ها عیرفعال پوسته پیشفرض در صورت وجود مشکل نصب دستی وردپرس
  15. 1 point
    سلام. فایل های افزونه رو پاک کنید و از نو آپلود کنید..
  16. 1 point
    یکی از مهمترین مشکلاتی که پلاگین qtranslate داره اینه که موقع بروزرسانی باید حواستون باشه که افزونه با نسخه جدید همخوانی داشته باشه وگرنه با خطاهایی که برای من پیش اومد روبرو میشید که مجبور شدم به صورت دستی به نسخه قبل وردپرس برگردم. البته خوبیش اینه که قبل بروزرسانی خودش هشدار میده که من جدی نگرفتم